Org Web Adapter

pages/mm_sprint_25.org

ID
f1d9f771-9f9b-46f6-b703-058b91afcfca

MM Sprint 25

- source :: http://multimediallc.atlassian.net/jira/software/c/projects/MMPY/boards/1725?sprint=4897

- start ::

- end ::

- status :: Status - Complete

DONE Sprint 25 Notes

workchoremultimediallcsprintnotes
ID
4a5f7f3f-76ad-ef17-b749-ed38d79cb325

- Note taken on

A lot of little things to keep track of, combined with two tickets overflowing from the previous sprint.

DONE Help with QA env

workchoresprint25sprintdevdayslostqaenvdevopsqamultimediallc
ID
df886f9d-1b8a-66f7-6279-822cc6c49bde

- Note taken on

Aaron Ireland rolled into the chat, so I suspect he'll be able to help from here, as his knowledge of how the Rube Goldberg contraption of JWT was implemented here works is much deeper than mine.

- Note taken on

Helene McElroy is trying to get QA working and posted this:

#+begin_quote from slack

Setting up data on the QA site and getting an error. Here are my steps, what am I doing wrong?

Created the application with a new key

Stored the private key locally so that I can generate tokens for API calls

Ran the following command /manage.py gen_jwt data/qa-volume.key '{"sub":"volume","iss":"volume","scope":"mm-pay-service"}'

Use generated token in curl command

cloudflared access curl https://qa-api.mmpayouts.com/api/application/volume/users/ \

-X POST \

-d "{\"application_user_id\": \"00000000-0000-0000-0000-000000000001\", \"username\": \"user1\"}" \

-H "Authorization: Bearer ey...5Xn2S2MHVsjmw"

(cloudflared access is required)

5. Received the following error: {"detail":"Token verification failed","code":"token_not_valid"}

I feel like i must be missing some obvious step here. I double checked the data/qa-volume.key matches the private key. I re-ran the gen jwt jic i copied/pasted the JWT incorrectly into my curl. Double checked my natural key is volume in django admin.

could it be a server time issue? The key's created at date is Oct. 30, 2025, 1:43 p.m. ... in the future but the logs are showing in local time, so this seems like a rendering issue.

#+end_quote